/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.spring;

import org.fabric3.spi.ObjectFactory;
import org.springframework.context.support.AbstractApplicationContext;

/**
 * @version $Revision: 2202 $ $Date: 2007-12-04 21:33:42 +0000 (Tue, 04 Dec 2007) $
 */
public class SpringObjectFactory<T> implements ObjectFactory<T> {

    private AbstractApplicationContext scaApplicationContext;
    private T springBean = null;
    private String springBeanId = null;
    
    /**
     * Eager initiates the bean.
     */
    public SpringObjectFactory(AbstractApplicationContext scaApplicationContext, String springBeanId) {
        
        this.scaApplicationContext = scaApplicationContext;
        this.springBeanId = springBeanId;
        
    }

    @SuppressWarnings("unchecked")
    public T getInstance() {
        if (springBean == null) {
            this.scaApplicationContext.refresh();
            this.springBean = (T) scaApplicationContext.getBean(springBeanId);
        }
        return springBean;
    }

}
