/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.fabric3.spring;

import org.fabric3.pojo.wire.PojoWireSourceDefinition;
import org.fabric3.spi.model.physical.PhysicalWireSourceDefinition;

/**
 * Models a Java physical wire source definition.
 *
 * @version $Revision: 2202 $ $Date: 2007-12-04 21:33:42 +0000 (Tue, 04 Dec 2007) $
 */
public class SpringWireSourceDefinition extends PojoWireSourceDefinition {

    private Class<?> fieldType;

    public Class<?> getFieldType() {
        return fieldType;
    }

    public void setFieldType(Class<?> fieldType) {
        this.fieldType = fieldType;
    }
    
}
